Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class Hyperlink

    java.lang.Object
      org.apache.poi.hslf.model.Hyperlink

    public final class Hyperlink

extends java.lang.Object

Represents a hyperlink in a PowerPoint document

Author:
  Yegor Kozlov

Field Summary
`static byte` | `LINK_FIRSTSLIDE`
`static byte` | `LINK_LASTSLIDE`
`static byte` | `LINK_NEXTSLIDE`
`static byte` | `LINK_NULL`
`static byte` | `LINK_PREVIOUSSLIDE`
`static byte` | `LINK_URL`

Constructor Summary
`Hyperlink()`

Method Summary
`java.lang.String` | `getAddress()` Gets the hyperlink URL
`int` | `getEndIndex()` Gets the ending character position
`int` | `getId()`
`int` | `getStartIndex()` Gets the beginning character position
`java.lang.String` | `getTitle()` Gets the hyperlink user-friendly title (if different from URL)
`int` | `getType()` Gets the type of the hyperlink action.
`void` | `setAddress(java.lang.String str)`
`void` | `setId(int id)`
`void` | `setTitle(java.lang.String str)`
`void` | `setType(int val)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINK_NEXTSLIDE

    public static final byte LINK_NEXTSLIDE

See Also:
  Constant Field Values

### LINK_PREVIOUSSLIDE

    public static final byte LINK_PREVIOUSSLIDE

See Also:
  Constant Field Values

### LINK_FIRSTSLIDE

    public static final byte LINK_FIRSTSLIDE

See Also:
  Constant Field Values

### LINK_LASTSLIDE

    public static final byte LINK_LASTSLIDE

See Also:
  Constant Field Values

### LINK_URL

    public static final byte LINK_URL

See Also:
  Constant Field Values

### LINK_NULL

    public static final byte LINK_NULL

See Also:
  Constant Field Values

Constructor Detail

### Hyperlink

    public Hyperlink()

Method Detail

### getType

    public int getType()

  Gets the type of the hyperlink action. Must be a `LINK_*` constant

  Returns:
    the hyperlink URL
  See Also:
    `InteractiveInfoAtom`

### setType

    public void setType(int val)

### getAddress

    public java.lang.String getAddress()

  Gets the hyperlink URL

  Returns:
    the hyperlink URL

### setAddress

    public void setAddress(java.lang.String str)

### getId

    public int getId()

### setId

    public void setId(int id)

### getTitle

    public java.lang.String getTitle()

  Gets the hyperlink user-friendly title (if different from URL)

  Returns:
    the hyperlink user-friendly title

### setTitle

    public void setTitle(java.lang.String str)

### getStartIndex

    public int getStartIndex()

  Gets the beginning character position

  Returns:
    the beginning character position

### getEndIndex

    public int getEndIndex()

  Gets the ending character position

  Returns:
    the ending character position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD